using System;

namespace ConsoleApp58
{
    class Program
    {


        public static long cifra(long broj, long mesto)
        {
            return ((broj % (mesto * 10)) - (broj % mesto)) / mesto;
        }

        static void Main(string[] args)
        {
            
            long x = int.Parse(Console.ReadLine());
            long y = int.Parse(Console.ReadLine());
           
            double n;
            long broj = 0;
          long xc = 0;
          long yz = 0;
            if(x.ToString().Length>=y.ToString().Length)
            {
                n = Math.Pow(10, x.ToString().Length);
            }
            else
            {
                n = Math.Pow(10, y.ToString().Length);
            }
            for (long i = 1; i <= n*10; i*=10)
            {
                xc = cifra(x, i);
                    yz = cifra(y, i);

                if (xc > yz)
                {
                    broj = broj + xc * i;


                }
                else
                {

                    if (xc < yz)
                    {
                        broj = broj + yz * i;


                    }
                    else
                    {
                        if (xc == yz)
                        {
                            broj = broj + xc * i;
                            i *= 10;
                            x *= 10;
                            broj = broj + xc * i;

                            y *= 10;
                            n *= 10;
                        }
                    }
                }
            }
            Console.WriteLine(broj);
         
        }
    }
}